Cancel a pending scheduled pricing change (Admin only).
curl --request DELETE \
--url https://cloud-api.near.ai/v1/admin/models/pricing-changes/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://cloud-api.near.ai/v1/admin/models/pricing-changes/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cloud-api.near.ai/v1/admin/models/pricing-changes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"batchId": "<string>",
"createdAt": "<string>",
"effectiveAt": "<string>",
"id": "<string>",
"modelDisplayName": "<string>",
"modelId": "<string>",
"newPricing": {
"cacheReadCostPerToken": {
"amount": 123,
"currency": "<string>",
"scale": 123
},
"costPerImage": {
"amount": 123,
"currency": "<string>",
"scale": 123
},
"inputCostPerToken": {
"amount": 123,
"currency": "<string>",
"scale": 123
},
"outputCostPerToken": {
"amount": 123,
"currency": "<string>",
"scale": 123
}
},
"oldPricing": {
"costPerImage": {
"amount": 123,
"currency": "<string>",
"scale": 123
},
"inputCostPerToken": {
"amount": 123,
"currency": "<string>",
"scale": 123
},
"outputCostPerToken": {
"amount": 123,
"currency": "<string>",
"scale": 123
},
"cacheReadCostPerToken": {
"amount": 123,
"currency": "<string>",
"scale": 123
}
},
"status": "<string>",
"appliedAt": "<string>",
"changeReason": "<string>",
"createdByUserEmail": "<string>",
"lastError": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}Admin
Cancel a pending scheduled pricing change (Admin only).
DELETE
/
v1
/
admin
/
models
/
pricing-changes
/
{id}
Cancel a pending scheduled pricing change (Admin only).
Authorizations
JWT access token for user authentication (Authorization: Bearer <jwt_token>). Create via POST /users/me/access_tokens.
Path Parameters
Scheduled pricing change ID
Response
Pricing change cancelled
Partial pricing update; omitted fields are unchanged.
Show child attributes
Show child attributes
Full pricing snapshot. cacheReadCostPerToken is omitted when cache
pricing was disabled at snapshot time.
Show child attributes
Show child attributes
One of: pending, applying, applied, cancelled, failed.